## purpose 5.116.0+p24.04+vstable+git20251015.1428

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(Purpose)

find_package(ECM 5.116.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 5.15.2)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(FeatureSummary)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMGenerateQmlTypes)
include(ECMQMLModules)
include(ECMQmlModule)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml Gui DBus Widgets Network Test)

set(KF_VERSION "5.117.0") # handled by release scripts
set(KF_DEP_VERSION "5.116.0") # handled by release scripts

find_package(KF5 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami2 Notifications KIO)

find_package(KAccounts)

set_package_properties(KAccounts PROPERTIES
                       PURPOSE "Needed for YouTube and Nextcloud upload"
                       TYPE OPTIONAL
)

ecm_find_qmlmodule(Ubuntu.OnlineAccounts 0.1)
ecm_find_qmlmodule(org.kde.kquickcontrolsaddons 2.0)
ecm_find_qmlmodule(org.kde.prison 1.0)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

ecm_setup_version(${KF_VERSION} VARIABLE_PREFIX PURPOSE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfigVersion.cmake"
                        SOVERSION 5)

ecm_set_disabled_deprecation_versions(
    # QT 5.15.2 Wait until libaccounts-qt has a release that doesn't use QString::null https://gitlab.com/accounts-sso/libaccounts-qt/issues/4
    KF 5.95
    KCOREADDONS 5.85 # K_EXPORT_PLUGIN_VERSION
)

add_subdirectory( src )
if (BUILD_TESTING)
    add_subdirectory( autotests )
    add_subdirectory( tests )
endif()

ki18n_install(po)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Purpose")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PurposeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PurposeTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PurposeTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/purpose COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

#TODO: Remove somewhen in the future
install(FILES
  "${CMAKE_CURRENT_SOURCE_DIR}/KDEExperimentalPurposeConfig.cmake"
  DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDEExperimentalPurpose"
  COMPONENT Devel
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
purpose (5.116.0+p24.04+vstable+git20251015.1428-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:28:13 +0000

=== debian/control ===
Source: purpose
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.51.0~),
               intltool,
               kaccounts5-integration,
               kirigami2-dev,
               libaccounts-glib-dev,
               libaccounts-qt5-dev,
               libkaccounts5-dev,
               libkf5config-dev (>= 5.51.0~),
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5declarative-dev,
               libkf5i18n-dev (>= 5.51.0~),
               libkf5kcmutils-dev,
               libkf5kio-dev (>= 5.51.0~),
               libkf5notifications-dev,
               libkf5wallet-dev,
               libsignon-qt5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               pkgconf,
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~)
Standards-Version: 4.1.4
Homepage: https://cgit.kde.org/purpose.git/
Vcs-Git: https://invent.kde.org/neon/kde/purpose.git
Vcs-Browser: https://invent.kde.org/neon/kde/purpose
Maintainer: Neon CI <neon@kde.org>

Package: libkf5purpose-bin
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-bluezqt,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons (>= 5.51),
         qml-module-org-kde-prison,
         qml-module-qtquick-dialogs,
         qml-module-sso-onlineaccounts,
         qml-module-ubuntu-onlineaccounts,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kamoso (<< 3.2.1~), libkf5purpose5 (<< 5.53.0)
Replaces: kamoso (<< 3.2.1~), libkf5purpose5 (<< 5.53.0)
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: libkf5purpose-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev (>= 5.51.0~),
         libkf5purpose-bin (= ${binary:Version}),
         libkf5purpose5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf5purpose5
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons (>= 5.51),
         qml-module-sso-onlineaccounts,
         qml-module-ubuntu-onlineaccounts,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5purpose-bin (<< 5.53.0)
Conflicts: libkf5purposewidgets5 (<< 1.1-2~)
Replaces: libkf5purpose-bin (<< 5.53.0), libkf5purposewidgets5 (<< 1.1-2~)
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: qml-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Replaces: qml-modules-org-kde-purpose (<< 1.1-5~)
Breaks: qml-modules-org-kde-purpose (<< 1.1-5~)
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         qml-module-sso-onlineaccounts,
         qml-module-ubuntu-onlineaccounts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d\.]*)/purpose-(.*)\.tar\.xz

## purpose 5.116.0+p24.04+vstable+git20251231.0508

=== debian/changelog ===
purpose (5.116.0+p24.04+vstable+git20251231.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:08:55 +0000

## purpose 5.116.0+p24.04+vstable+git20260103.0103

=== debian/changelog ===
purpose (5.116.0+p24.04+vstable+git20260103.0103-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 01:03:14 +0000

## purpose 5.116.0+p24.04+vstable+git20260122.0317

=== debian/changelog ===
purpose (5.116.0+p24.04+vstable+git20260122.0317-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 03:17:19 +0000

## purpose 5.116.0+p24.04+vstable+git20260131.0235

=== debian/changelog ===
purpose (5.116.0+p24.04+vstable+git20260131.0235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:35:09 +0000

## purpose 5.116.0+p24.04+vunstable+git20260201.0545

=== debian/changelog ===
purpose (5.116.0+p24.04+vunstable+git20260201.0545-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 05:45:07 +0000
